Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Installation of puppet-agent fails #303

Closed
sarah-peter opened this issue Oct 7, 2016 · 6 comments · Fixed by #313
Closed

Installation of puppet-agent fails #303

sarah-peter opened this issue Oct 7, 2016 · 6 comments · Fixed by #313

Comments

@sarah-peter
Copy link

@sarah-peter sarah-peter commented Oct 7, 2016

Hello,

since a few days, when I provision a new VM (in this case Ubuntu 16.04.1 LTS) it fails during the "Select and install software" step with the error

WARNING: The following packages cannot be authenticated!
puppet-agent

puppet_auth_issue

@mmoll

This comment has been minimized.

Copy link
Member

@mmoll mmoll commented Oct 7, 2016

I guess it has to do with PuppetLabs' new GPG key, will have a look...

@mmoll

This comment has been minimized.

Copy link
Member

@mmoll mmoll commented Oct 8, 2016

@mmoll

This comment has been minimized.

Copy link
Member

@mmoll mmoll commented Oct 10, 2016

@sarah-peter

This comment has been minimized.

Copy link
Author

@sarah-peter sarah-peter commented Oct 24, 2016

Thanks for investigating @mmoll! Since the issue is quite old and still not solved, do you have a work-around for the meantime?

@mmoll

This comment has been minimized.

Copy link
Member

@mmoll mmoll commented Oct 24, 2016

@diehlsa not really... I did some further investigations back then and can saw exactly the same bvehaviour as one of the reporters of the Ubuntu issue: the key is listed correctly when using apt-key, but not still not trusted when installing the packge. What you could try is to switch over the install to the finish script and install http://apt.puppetlabs.com/puppetlabs-release-pc1-xenial.deb and then puppet-agent, maybe that works.

In general, if that issue is not getting fixed in the installer, I'm out of ideas here.

mmoll added a commit to mmoll/community-templates that referenced this issue Nov 21, 2016
@mmoll

This comment has been minimized.

Copy link
Member

@mmoll mmoll commented Nov 21, 2016

#313 would implement that.

@ekohl ekohl closed this in #313 Nov 23, 2016
ekohl added a commit that referenced this issue Nov 23, 2016
derektamsen pushed a commit to squarit/community-templates that referenced this issue Jan 18, 2017
ares added a commit to ares/community-templates that referenced this issue Aug 14, 2017
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.